Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002974TestLinkAPI - XMLRPCpublic2009-11-24 17:032010-05-01 20:34
Reporterlvboque 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.4 
Fixed in Version1.9 Beta 2 
Summary0002974: getTestCaseIDByName method doesn't seem to support hierarchy of testsuites ...
DescriptionThe method tl.getTestCaseIDByName supports an optional parameter
(testsuitename) in order to identify the appropriate testcase.

What if the testsuite is a child of another one?

How can I get the ID of my testcase if there is duplicates ...

(Tested using the java client)
xmlrpc.php version 1.46.2.1
Additional InformationI.e:
+ TestSuiteLevel1 + integration + MyTest
+ TestSuiteLevel2 + integration + MyTest

1)
With this structure, the a call to
tl.getTestCaseIDByName with testcasename="MyTest" but without testuitename will return 2 records ... (seems logical)

2)
With this structure, the a call to
tl.getTestCaseIDByName with testcasename="MyTest" and testuitename="integration" will return again 2 records ... (seems logical)

3)
The question is how to define testsuitename as "TestSuiteLevel1+integration" in order to get only 1 record ???

TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0008340)
fman (administrator)
2009-11-25 03:27

only choice we have is adding a new parameter called
testcase_path or something like that and the you will provide COMPLETE PATH FROM ROOT.

what do you think ? I do not see other solution
(0008341)
lvboque (reporter)
2009-11-25 07:07

Yeah, it is a solution! That way, I am sure that I can identify a testcase as I can provide his name and the full testsuite path ....

Just have to find a convetion for testsuite separator ... could be something like /

testsuitelevel1/testsuitelevel2
(0008343)
fman (administrator)
2009-11-25 23:56

ok
(0008347)
fman (administrator)
2009-11-28 23:47

using :: as path separator
(0008348)
fman (administrator)
2009-11-28 23:48

FUll path name must be used, starting with test project name

- Issue History
Date Modified Username Field Change
2009-11-24 17:03 lvboque New Issue
2009-11-25 03:27 fman Note Added: 0008340
2009-11-25 07:07 lvboque Note Added: 0008341
2009-11-25 23:56 fman Note Added: 0008343
2009-11-25 23:57 fman Status new => assigned
2009-11-25 23:57 fman Assigned To => fman
2009-11-28 23:47 fman Note Added: 0008347
2009-11-28 23:47 fman Status assigned => resolved
2009-11-28 23:47 fman Fixed in Version => 1.9 (DEV)
2009-11-28 23:47 fman Resolution open => fixed
2009-11-28 23:48 fman Note Added: 0008348
2010-05-01 20:34 fman Status resolved => closed
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker